Package org.eclipse.net4j.util.properties

## Class DefaultPropertyTester<RECEIVER>

- java.lang.Object
- - org.eclipse.core.expressions.PropertyTester
  - - org.eclipse.net4j.util.properties.DefaultPropertyTester<RECEIVER>

- All Implemented Interfaces:
    `IPropertyTester`, `IProperties<RECEIVER>`, `IPropertyProvider<RECEIVER>`

      public class DefaultPropertyTester<RECEIVER>
      extends PropertyTester
      implements IProperties<RECEIVER>

  Tests properties of receiver objects against expected values.
  Since:
    3.2
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultPropertyTester​(java.lang.String namespace, IProperties<RECEIVER> properties)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(Property<RECEIVER> property)` |
    `protected RECEIVER` | `convertReceiver​(java.lang.Object receiver)` |
    `void` | `dumpContributionMarkup()` |
    `java.lang.String` | `getNamespace()` |
    `java.util.List<Property<RECEIVER>>` | `getProperties()` |
    `Property<RECEIVER>` | `getProperty​(java.lang.String name)` |
    `java.lang.Class<RECEIVER>` | `getReceiverType()` |
    `protected java.lang.String` | `getReceiverTypeName()` |
    `boolean` | `test​(java.lang.Object receiver, java.lang.String propertyName, java.lang.Object[] args, java.lang.Object expectedValue)` |

    - ### Methods inherited from class org.eclipse.core.expressions.PropertyTester

      `handles, instantiate, internalCreateDescriptor, internalInitialize, isDeclaringPluginActive, isInstantiated`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultPropertyTester

          public DefaultPropertyTester​(java.lang.String namespace,
                                       IProperties<RECEIVER> properties)

  - ### Method Detail

    - #### getNamespace

          public final java.lang.String getNamespace()

    - #### getReceiverType

          public java.lang.Class<RECEIVER> getReceiverType()

      Specified by:
        `getReceiverType` in interface `IProperties<RECEIVER>`

    - #### getProperty

          public Property<RECEIVER> getProperty​(java.lang.String name)

      Specified by:
        `getProperty` in interface `IProperties<RECEIVER>`

    - #### getProperties

          public java.util.List<Property<RECEIVER>> getProperties()

      Specified by:
        `getProperties` in interface `IPropertyProvider<RECEIVER>`

    - #### add

          public void add​(Property<RECEIVER> property)

      Specified by:
        `add` in interface `IProperties<RECEIVER>`

    - #### test

          public boolean test​(java.lang.Object receiver,
                              java.lang.String propertyName,
                              java.lang.Object[] args,
                              java.lang.Object expectedValue)

      Specified by:
        `test` in interface `IPropertyTester`

    - #### convertReceiver

          protected RECEIVER convertReceiver​(java.lang.Object receiver)

      Since:
        3.5

    - #### getReceiverTypeName

          protected java.lang.String getReceiverTypeName()

      Since:
        3.5

    - #### dumpContributionMarkup

          public void dumpContributionMarkup()